import {Component} from '@angular/core';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/common';
import {EJ_TAB_COMPONENTS} from 'ej/tab.component';

@Component({
    selector: 'ej-app',    
    templateUrl: 'app/app.component.html',
    directives: [CORE_DIRECTIVES, EJ_TAB_COMPONENTS],
   
})
export class AppComponent {
    public tabs=["tab1","tab2"]
    public count = 2 ;
    onNewTab(tabObj) {  
        this.count ++
        var a = "tab" + this.count;
        tabObj["widget"]["addItem"]('#'+a,'Tab' + this.count);
        document.getElementById(a).innerHTML =   "Hello tab " + a;
    }
}


